Page MenuHomePhabricator

[ASan][test] XFAIL AddressSanitizer-*-sunos :: TestCases/intercept-rethrow-exception.cc on Solaris
ClosedPublic

Authored by ro on Jul 21 2019, 8:50 AM.

Details

Summary

AddressSanitizer-*-sunos :: TestCases/intercept-rethrow-exception.cc currently FAILs
on Solaris. This happens because std::rethrow_exception cannot be intercepted, as
detailed in Bug 42703.

To account for this and reduce testsuite noise, this patch XFAILs the test.

Tested on x86_64-pc-solaris2.11. Ok for trunk?

Diff Detail

Repository
rL LLVM

Event Timeline

ro created this revision.Jul 21 2019, 8:50 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 21 2019, 8:50 AM
Herald added subscribers: Restricted Project, fedor.sergeev, kubamracek. · View Herald Transcript
ro added a comment.Jul 28 2019, 7:25 AM

Ping? It's been a week now. Is there some policy not to xfail the test which as documented in the bug cannot pass on Solaris?

ro added a comment.Jul 28 2019, 7:25 AM
This comment was removed by ro.
ro added a comment.Jul 28 2019, 7:56 AM
This comment was removed by ro.
vitalybuka accepted this revision.Jul 29 2019, 12:04 PM
vitalybuka added a subscriber: vitalybuka.
In D65056#1603902, @ro wrote:

Ping? It's been a week now. Is there some policy not to xfail the test which as documented in the bug cannot pass on Solaris?

If the test fails consistently on the platform and there is a chance to make it pass some day, I would prefer to have XFAIL.

You can try to check activity of reviewers or just extend a list.
@samsonov is currently not active member of LLVM
@kcc was just too busy

This revision is now accepted and ready to land.Jul 29 2019, 12:04 PM
ro added a comment.Jul 30 2019, 12:56 AM
In D65056#1603902, @ro wrote:

Ping? It's been a week now. Is there some policy not to xfail the test which as documented in the bug cannot pass on Solaris?

If the test fails consistently on the platform and there is a chance to make it pass some day, I would prefer to have XFAIL.

I certainly mean to construct a massivly reduced testcase and check with the Solaris linker engineer if he sees a way to avoid
triggering the recursive call to AsanInitInternal triggered by dlsym. However, right now there are more pressing issues like
2-stage builds failing on both Solaris/SPARC and x86.

You can try to check activity of reviewers or just extend a list.
@samsonov is currently not active member of LLVM

I'd started with the listed maintainers initially.

@kcc was just too busy

I see. I've tried to extend the reviewer list beyond the maintainers, but found it somewhat difficult to determine appropriate
candidates in areas that see not too much activity. Probably need to broaden where I look...

This revision was automatically updated to reflect the committed changes.